/********************************************************************/
/* Copyright (c) 2019 System fugen G.K. and Yuzi Mizuno          */
/* All rights reserved.                                             */
/********************************************************************/
/********************************************************************/
#pragma once

#include "resource.h"
#include "GLPropPanel.h"

// CGLGeneralPropPane ダイアログ

class CGLGeneralPropPane : public CGLPropPane
{
	// 非 DDX/DDV パラメータ
	int m_nUndoCountMin, m_nUndoCountMax;
	int m_nUndoMemMin, m_nUndoMemMax;

public:
	///コンストラクタ
	CGLGeneralPropPane(fugenDoc* pDoc);

// ダイアログ データ
	//{{AFX_DATA(CGLGeneralPropPane)
	enum { IDD = IDD_PROP_GENERAL };
	CSpinButtonCtrl m_spnUndoCount;///< Undo数 スピン
	int m_nUndoCount;///< Undo数 入力
	int m_nSelLang; ///< 言語設定

	//:Note Undoメモリ最大量はダイアログに無い
	CSpinButtonCtrl m_spnUndoMem; ///< Undoメモリー量 スピン
	int m_nUndoMem; ///< Undoメモリー量 入力
	//}}AFX_DATA

// オーバーライド
	//{{AFX_VIRTUAL(CGLGeneralPropPane),
protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:

	//{{AFX_MSG(CGLGeneralPropPane)
	afx_msg void OnClickedShowIsoCurve();
	afx_msg void OnButtonPropGeneralDefault();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	virtual void LoadUserProf();
	virtual BOOL UpdateUserProf();
	virtual void ResetToDefaultUserProf();

	virtual void LoadDocContext();
	virtual BOOL UpdateDocContext();
	virtual void ResetToDefaultDocContext();

};
